Goods and bads: OCCT 7.0.0 vs OCCT 6.8.0

Have some feature requests, feedback, cool stuff to share, or want to know where FreeCAD is going? This is the place.
Forum rules
Be nice to others! Read the FreeCAD code of conduct!
User avatar
bernd
Veteran
Posts: 12851
Joined: Sun Sep 08, 2013 8:07 pm
Location: Zürich, Switzerland
Contact:

Re: Goods and bads: OCCT 7.0.0 vs OCCT 6.8.0

Post by bernd »

DeepSOIC wrote:
bernd wrote:Is there a way to get a non-manifold shell with OCCT 7.0 or 7.1 ?
Via python I think it can be created. I think if you run faces through BooleanFragments first, then re-pack them into a shell using Part.Shell(compound_of_faces.Faces), it will create a non-manifold shell. I don't think it is doable with gui only, so far.

Code: Select all

Part.show(Part.Shell(App.ActiveDocument.Fusion.Shape.Faces))
:-)
non-manifold-shell-occ7-bhb.FCStd
(48.97 KiB) Downloaded 25 times
screen.jpg
screen.jpg (212.11 KiB) Viewed 779 times
User avatar
bernd
Veteran
Posts: 12851
Joined: Sun Sep 08, 2013 8:07 pm
Location: Zürich, Switzerland
Contact:

Re: Goods and bads: OCCT 7.0.0 vs OCCT 6.8.0

Post by bernd »

I tried to do the same for getting a huge wire. The aim is a wire which has all edges connected. Attached the file and the command. I got an error ...

Code: Select all

Part.show(Part.Wire(App.ActiveDocument.BooleanFragments.Shape.Edges))

Code: Select all

>>> Part.show(Part.Wire(App.ActiveDocument.BooleanFragments.Shape.Edges))
Traceback (most recent call last):
  File "<input>", line 1, in <module>
Part.OCCError: BRep_API: command not done
wire-with-nodes-with-more-than-2-edges.FCStd
(106.65 KiB) Downloaded 23 times
screen.jpg
screen.jpg (235.96 KiB) Viewed 755 times
User avatar
DeepSOIC
Veteran
Posts: 7896
Joined: Fri Aug 29, 2014 12:45 am
Location: used to be Saint-Petersburg, Russia

Re: Goods and bads: OCCT 7.0.0 vs OCCT 6.8.0

Post by DeepSOIC »

Wires are quite a bit more troublesome, because order is important. I'm not sure if non-manifold wires are supported by OCC in general...
Post Reply